~alpine/aports

1

[alpine-aports] [PATCH] Adding Googles Logging Library

Michael Venezia
Details
Message ID
<1441135929-24200-1-git-send-email-mvenezia@gmail.com>
Sender timestamp
1441135929
DKIM signature
missing
Download raw message
Patch: +44 -0
---
 main/google-glog/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 main/google-glog/APKBUILD

diff --git a/main/google-glog/APKBUILD b/main/google-glog/APKBUILD
new file mode 100644
index 0000000..4d77107
--- /dev/null
+++ b/main/google-glog/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Michael Venezia
+# Maintainer: Michael Venezia
+pkgname=google-glog
+pkgver=0.3.4
+pkgrel=0
+pkgdesc="Logging library for C++"
+url="https://github.com/google/glog"
+arch="x86_64"
+license="custom:BSD3"
+depends=""
+depends_dev="make gcc"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="glog-$pkgver.tar.gz::https://github.com/google/glog/archive/v$pkgver.tar.gz"
+
+_builddir=
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$srcdir/glog-${pkgver}"
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "$_builddir"
+  cd "$srcdir/glog-${pkgver}"
+  make DESTDIR="$pkgdir" install
+
+	find "$pkgdir" -name '*.la' -delete
+}
+
+md5sums="df92e05c9d02504fb96674bc776a41cb  glog-0.3.4.tar.gz"
+sha256sums="ce99d58dce74458f7656a68935d7a0c048fa7b4626566a71b7f4e545920ceb10  glog-0.3.4.tar.gz"
+sha512sums="139525b546a9eccacc9bebf7cc3053ba52229e9488485ad45344c3d3134ca819d3b571250c0e3a6d84097009c8be89b0f4fa16ef5ec838ffcc237ae11c3a034c  glog-0.3.4.tar.gz"
-- 
2.4.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Sören Tempel
Details
Message ID
<20150903085127.GA2435@calcium.lan>
In-Reply-To
<1441135929-24200-1-git-send-email-mvenezia@gmail.com> (view parent)
Sender timestamp
1441270287
DKIM signature
missing
Download raw message
On 01.09.15, Michael Venezia wrote:
> ---
>  main/google-glog/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 44 insertions(+)
>  create mode 100644 main/google-glog/APKBUILD

You committed this to main/ new packages should stay in testing/ for
a while. Furthermore, the commit message should be "testing/google-glog:
new aport". In addition to that: Why did you call the package
google-glog instead of simply calling it glog?

On 01.09.15, Michael Venezia wrote:
> +arch="x86_64"

I am pretty sure that glog works on x86 and possibly arm too. Please
adjust this accordingly. If it works on arm and x86 too you can simply
use arch="all".

On 01.09.15, Michael Venezia wrote:
> +license="custom:BSD3"

This notation is really strange, either use custom and install the
license file into /usr/share/licenses or use license="BSD". I would
prefer the former.

On 01.09.15, Michael Venezia wrote:
> +depends_dev="make gcc"

Two things: a) depends_dev is supposed to be used for -dev packages only,
those two package should theoretically be makedepends b) You don't need
to explicitly depend on make and gcc since they are both a part of
alpine-sdk and are thus installed by abuild(1) by default.

On 01.09.15, Michael Venezia wrote:
> +package() {
> +	cd "$_builddir"
> +  cd "$srcdir/glog-${pkgver}"
> +  make DESTDIR="$pkgdir" install
> +
> +	find "$pkgdir" -name '*.la' -delete
> +}

As you can see the indention is completely broken here. Besides you
don't need to remove *.la files manually since abuild(1) automatically
removes them unless you enable the libtool option. Also why do you cd
into the undefined "$_builddir" here? That doesn't make any sense at
all.

Sören.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---